var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "StdAir at SourceForge", "index.html#at_sourceforge", null ],
      [ "StdAir Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support StdAir", "index.html#social_sponsorship", null ],
      [ "About StdAir", "index.html#about", null ]
    ] ],
    [ "BomAbstract", "a00001.html", null ],
    [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a00002.html", null ],
    [ "KeyAbstract", "a00003.html", null ],
    [ "C++ Class Building Sample StdAir BOM Trees", "a00004.html", null ],
    [ "C++ Class Storing the StdAir Context", "a00005.html", null ],
    [ "People", "a00006.html", [
      [ "Project Admins (and Developers)", "a00006.html#admins", null ],
      [ "Retired Developers", "a00006.html#retired", null ],
      [ "Contributors", "a00006.html#contributors", null ],
      [ "Distribution Maintainers", "a00006.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a00007.html", [
      [ "Default Naming Rules for Variables", "a00007.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a00007.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a00007.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a00007.html#cr_files", null ],
      [ "Default Functionality of Classes", "a00007.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a00008.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a00008.html#gnugpl", [
        [ "Version 2.1, February 1999", "a00008.html#version", null ]
      ] ],
      [ "Preamble", "a00008.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a00008.html#terms", [
        [ "NO WARRANTY", "a00008.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a00008.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a00008.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a00009.html", [
      [ "General Rules", "a00009.html#doc_general", null ],
      [ "File Header", "a00009.html#doc_header", null ],
      [ "Grouping Various Parts", "a00009.html#doc_groups", null ]
    ] ],
    [ "Main features", "a00010.html", [
      [ "Standard Airline IT Business Object Model (BOM)", "a00010.html#airline_it_bom", null ],
      [ "Architecture of the StdAir library", "a00010.html#architecture", null ]
    ] ],
    [ "Make a Difference", "a00011.html", null ],
    [ "Make a new release", "a00012.html", [
      [ "Introduction", "a00012.html#description", null ],
      [ "Initialisation", "a00012.html#initialisation", null ],
      [ "Branch creation", "a00012.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a00012.html#branch_publish", null ],
      [ "Update the change-log in the trunk as well", "a00012.html#trunk_update", null ],
      [ "Create distribution packages", "a00012.html#create_packages", null ],
      [ "Generation the RPM packages", "a00012.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a00012.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a00012.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "a00012.html#upload_files", null ],
      [ "Upload the documentation to SourceForge", "a00012.html#upload_doc", null ],
      [ "Make a new post", "a00012.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "a00012.html#send_announce", null ]
    ] ],
    [ "Installation", "a00013.html", [
      [ "Table of Contents", "a00013.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a00013.html#rpm_linux", null ],
      [ "StdAir Requirements", "a00013.html#requirements", null ],
      [ "Basic Installation", "a00013.html#basic_instructions", null ],
      [ "Compilers and Options", "a00013.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a00013.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a00013.html#installation_names", null ],
      [ "Optional Features", "a00013.html#optional_features", null ],
      [ "Particular systems", "a00013.html#particular_systems", null ],
      [ "Specifying the System Type", "a00013.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a00013.html#sharing_defaults", null ],
      [ "Defining Variables", "a00013.html#defining_variables", null ],
      [ "`cmake' Invocation", "a00013.html#cmake_invocation", null ]
    ] ],
    [ "Linking with StdAir", "a00014.html", [
      [ "Introduction", "a00014.html#intro", null ],
      [ "Using the pkg-config command", "a00014.html#pkgconfig", null ],
      [ "Using the stdair-config script", "a00014.html#stdair_config", null ],
      [ "M4 macro for the GNU Autotools", "a00014.html#autotools", null ],
      [ "Using StdAir with dynamic linking", "a00014.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a00015.html", [
      [ "The Test Source Files", "a00015.html#test_source", null ],
      [ "The Reference File", "a00015.html#reference_file", null ],
      [ "Testing StdAir Library", "a00015.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a00016.html", [
      [ "Table of Contents", "a00016.html#ug_toc", null ],
      [ "Introduction", "a00016.html#ug_introduction", null ],
      [ "Get Started", "a00016.html#ug_get_started", [
        [ "Get the StdAir library", "a00016.html#ug_get_source", null ],
        [ "Build the StdAir project", "a00016.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a00016.html#ug_build_and_run_tests", null ],
        [ "Install the StdAir Project (Binaries, Documentation)", "a00016.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a00016.html#ug_bom_tree", [
        [ "Airline Distribution BOM Tree", "a00016.html#ug_bom_distribution", null ],
        [ "Airline Network BOM Tree", "a00016.html#ug_bom_schedule", null ],
        [ "Airline Inventory BOM Tree", "a00016.html#ug_bom_inventory", [
          [ "Airline Inventory Marketing BOM Tree", "a00016.html#ug_bom_segment_branch", null ],
          [ "Airline Inventory Operating BOM Tree", "a00016.html#ug_bom_leg_branch", null ]
        ] ]
      ] ],
      [ "Extending the BOM Tree", "a00016.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a00017.html", [
      [ "StdAir 3.10.x", "a00017.html#stdair_3_10", [
        [ "Linux Systems", "a00017.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a00017.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a00017.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a00017.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a00017.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a00017.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with StdAir External", "a00017.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a00017.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a00017.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a00017.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a00017.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a00017.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a00017.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a00017.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and StdAir External", "a00017.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a00017.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a00017.html#unix", [
          [ "SunOS 5.9 with StdAir External", "a00017.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "StdAir Supported Systems (Previous Releases)", "a00018.html", [
      [ "StdAir 3.9.1", "a00018.html#stdair_3_9_1", null ],
      [ "StdAir 3.9.0", "a00018.html#stdair_3_9_0", null ],
      [ "StdAir 3.8.1", "a00018.html#stdair_3_8_1", null ]
    ] ],
    [ "Tutorials", "a00019.html", [
      [ "Table of Contents", "a00019.html#tut_toc", null ],
      [ "Introduction", "a00019.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a00019.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a00019.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a00019.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a00019.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a00019.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a00019.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a00019.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a00019.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a00019.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a00019.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a00019.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a00019.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a00020.html", null ],
    [ "Specific Implementation of a BOM Root", "a00021.html", null ],
    [ "Specific Implementation of a BOM Root", "a00022.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a00023.html", null ],
    [ "Specific Implementation of an Airline Inventory", "a00024.html", null ],
    [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a00025.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00001.html",
"a00034.html",
"a00053.html#a5ea59a9ff9863dc570d92e960414fed0",
"a00076.html",
"a00098.html#ac2bbbadbccaf2e36d2033e73c8cc6dc6",
"a00117.html#a4e9cc6f20637446d2967edf912bceea3",
"a00138.html#a155fc4d802684890058173ca5d6480f5",
"a00152.html#aac3c91aae4bd1a8ae2635d34b39a1036",
"a00165.html#ae24974886ceedb779c10eab04d8e13e0",
"a00181.html#a0160e5b0c91dcc303a8fcf089b5b818f",
"a00214.html#a6e3497a44011f8e98f21449897825897",
"a00222_source.html",
"a00319_source.html",
"a00412.html",
"a00493.html",
"a00521.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';